import request from '@/utils/request'

// 查询名片管理列表
export function listCardManagementInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.cardManagementInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询名片管理详细
export function getCardManagementInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.cardManagementInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增名片管理
export function addCardManagementInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.cardManagementInfo',
      _mt: 'add',
      cardManagementInfo: data
    }
  })
}

// 修改名片管理
export function updateCardManagementInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.cardManagementInfo',
      _mt: 'update',
      cardManagementInfo: data
    }
  })
}

// 删除名片管理
export function delCardManagementInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.cardManagementInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出名片管理
export function exportCardManagementInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.cardManagementInfo',
      _mt: 'export',
      ...query
    }
  })
}
